module.exports = {
  create: {
    requestBody: [
      '!talents_userId',
      '!title',
      '!name',
      'imgpath',
      'gender',
      'nation',
      'birth',
      'marital',
      'hukou',
      'cardnumber',
      'addr',
      'education',
      'phone',
      'email',
      'job_nature',
      'profession',
      'workplace',
      'salary',
      'current',
      'introduction',
      'work_exp',
      'project_exp',
      'education_exp',
      'language',
      'skills',
      'hobbies',
      'state'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'talents_userId',
      'title',
      'name',
      'imgpath',
      'gender',
      'nation',
      'birth',
      'marital',
      'hukou',
      'cardnumber',
      'addr',
      'education',
      'phone',
      'email',
      'job_nature',
      'profession',
      'workplace',
      'salary',
      'current',
      'introduction',
      'work_exp',
      'project_exp',
      'education_exp',
      'language',
      'skills',
      'hobbies',
      'state'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        talents_userId : 'talents_userId',
        title : 'title',
        name : 'name',
        imgpath : 'imgpath',
        gender : 'gender',
        nation : 'nation',
        birth : 'birth',
        marital : 'marital',
        hukou : 'hukou',
        cardnumber : 'cardnumber',
        addr : 'addr',
        education : 'education',
        phone : 'phone',
        email : 'email',
        job_nature : 'job_nature',
        profession : 'profession',
        workplace : 'workplace',
        salary : 'salary',
        current : 'current',
        introduction : 'introduction',
        work_exp : 'work_exp',
        project_exp : 'project_exp',
        education_exp : 'education_exp',
        language : 'language',
        skills : 'skills',
        hobbies : 'hobbies',
        state : 'state'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
